Agents
GET
/api/v1/agents/check-phone-assignment

Check whether a phone number is available for agent assignment in this org.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Query Parameters

phone_number?string|null
telephony_phone_number_id?|null
exclude_agent_id?|null

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/agents/check-phone-assignment"
{  "available": true,  "phone_number": "string",  "conflict": {    "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",    "agent_name": "string",    "phone_number": "string"  }}

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!